# CMxElapsedTimeArray Class

Namespace: `ArchestrA.Toolkit`

CMxElapsedTimeArray is derived from CMxArray and provides support for Elapsed time/Timespan Array Attributes.

**Syntax**

```csharp
public class CMxElapsedTimeArray : CMxArray<TimeSpan>
```

## CMxElapsedTimeArray Properties

### Value Property

Provides a property to get and set the value as a TimeSpan array.

**Syntax**

```csharp
public TimeSpan[] Value { get; set; }
```

**Returns**

TimeSpan[ ]

### Property to Get and Set the TimeSpan Value using the [ ] Operator

Provides a property to get and set the TimeSpan value of an element using [ ] operator.

**Syntax**

```csharp
public TimeSpan this[short i] { get; set; }
```

**Returns**

TimeSpan

## CMxElapsedTimeArray Constructors

### CMxElapsedTimeArray Constructor (int)

Provides a constructor to initialize the array to a default length.

**Syntax**

```csharp
public CMxElapsedTimeArray(int length);
```

**Parameters**

**`length`**

[in] int value that holds the array length.

### CMxElapsedTimeArray Constructor (TimeSpan)

Provide a constructor to initialize the class with a TimeSpan array.

**Syntax**

```csharp
public CMxElapsedTimeArray (TimeSpan[] value);
```

**Parameters**

**`value`**

[in] TimeSpan[ ] value to be set.

### CMxElapsedTimeArray Constructor (string)

Provides a constructor to initialize the class with a formatted time string array.

**Syntax**

```csharp
public CMxElapsedTimeArray (string[] value);
```

**Parameters**

**`value`**

[in] string[ ] value to be set.

### CMxElapsedTimeArray Constructor

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxElapsedTimeArray (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string that holds the attribute reference.

## CMxElapsedTimeArray Method

### Set Method

Sets the value of the Attribute from a CMxElapsedTimeArray.

**Syntax**

```csharp
public void Set(CMxElapsedTimeArray newValue);
```

**Parameters**

**`newValue`**

[in] CMxElapsedTimeArray value to be set.

## CMxElapsedTimeArray Operator Overloads

### CMxElapsedTimeArray Operator Overload (TimeSpan)

Provides an operator to convert a TimeSpan array into a CMxElapsedTimeArray.

**Syntax**

```csharp
public static implicit operator CMxElapsedTimeArray(TimeSpan[] val);
```

**Parameters**

**`val`**

[in] TimeSpan[ ] value to convert to

CMxElapsedTimeArray.

**Returns**

CMxElapsedTimeArray

### CMxValue Operator Overload

Provides an operator to convert a CMxElapsedTimeArray into a CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxElapsedTimeArray val);
```

**Parameters**

**`val`**

[in] CMxElapsedTimeArray value to convert to CMxValue.

**Returns**

CMxValue

### TimeSpan Operator Overload

Provides an operator to convert a CMxElapsedTimeArray into a TimeSpan array.

**Syntax**

```csharp
public static implicit operator TimeSpan[](CMxElapsedTimeArray val);
```

**Parameters**

**`val`**

[in] CMxElapsedTimeArray value to convert to TimeSpan[ ].

**Returns**

TimeSpan[ ]

### CMxElapsedTimeArray Operator Overload (CMxValue)

Provides an operator to convert a CMxValue into a CMxElapsedTimeArray.

**Syntax**

```csharp
public static implicit operator CMxElapsedTimeArray (CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxElapsedTimeArray.

**Returns**

CMxElapsedTimeArray
